﻿body {
    margin: 0;
    padding: 0;
    background: url("../img/Skeppet.png") no-repeat center center fixed;
    font-family: Arial, Helvetica, sans-serif;
    overflow: hidden;
}

   
    body::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.5);
        z-index: -1;
        backdrop-filter: blur(2px);
    }

.container {
    height: 100vh;
    display: flex;
    justify-content: center;
    margin-top: 160px;
}

.form-div {
    width: 350px;
    padding: 40px;
    height: 380px;
    background: rgba(20, 20, 20, 0.95);
    border-radius: 12px;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.6);
    color: white;
    text-align: center;
}

    .form-div h2 {
        margin-bottom: 25px;
        font-weight: 600;
        letter-spacing: 1px;
    }


.Usersignup,
.Passsignup {
    width: 100%;
    padding: 12px;
    margin-bottom: 20px;
    border: 1px solid #444;
    border-radius: 6px;
    background: #1e1e1e;
    color: white;
    font-size: 14px;
    transition: 0.2s;
}

    .Usersignup:focus,
    .Passsignup:focus {
        border-color: #444;
        outline: none;
        box-shadow: 0 0 8px #444;
    }


input[type="submit"] {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 6px;
    background: linear-gradient(135deg, #444444, #252525 );
    color: white;
    font-size: 15px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.2s ease;
}

    input[type="submit"]:hover {
        transform: scale(1.05);
        box-shadow: 0 0 15px #444;
    }


b {
    display: block;
    margin-top: 15px;
    color: #ff4d4d;
}
